## xtv 1.1

=== Makefile ===
#!smake
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.55 91/01/04 19:56:26 gildea Exp $
#
# The cpp used on this machine replaces all newlines and multiple tabs and
# spaces in a macro expansion with a single space.  Imake tries to compensate
# for this, but is not always successful.
#

###########################################################################
# Makefile generated from "Imake.tmpl" and </tmp/IIf.a00357>
# $XConsortium: Imake.tmpl,v 1.77 89/12/18 17:01:37 jim Exp $
#
# Platform-specific parameters may be set in the appropriate .cf
# configuration files.  Site-wide parameters may be set in the file
# site.def.  Full rebuilds are recommended if any parameters are changed.
#
# If your C preprocessor doesn't define any unique symbols, you'll need
# to set BOOTSTRAPCFLAGS when rebuilding imake (usually when doing
# "make Makefile", "make Makefiles", or "make World").
#
# If you absolutely can't get imake to work, you'll need to set the
# variables at the top of each Makefile as well as the dependencies at the
# bottom (makedepend will do this automatically).
#

###########################################################################
# platform-specific configuration parameters - edit sgi.cf to change

CRT1 = /usr/lib/crt1.o
CRTN = /usr/lib/crtn.o

###########################################################################
# site-specific configuration parameters - edit site.def to change

# site:  $XConsortium: site.def,v 1.21 89/12/06 11:46:50 jim Exp $

        OPTIMIZER = -O2

            SHELL = /bin/sh

              TOP = .
      CURRENT_DIR = .

               AR = ar scq
  BOOTSTRAPCFLAGS = "$(OPTIMIZER)"
               CC = cc

         COMPRESS = compress
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = cc -E $(STD_CPP_DEFINES)
          INSTALL = bsdinst.sh
               LD = ld
             LINT = lint
      LINTLIBFLAG = -o
         LINTOPTS = -ax
               LN = ln -s

               MV = mv
               CP = cp
           RANLIB = /bin/true
  RANLIBINSTFLAGS =
               RM = rm -f
  VENDOR_INCLUDES =
     STD_INCLUDES =
  STD_CPP_DEFINES = -DSYSV
      STD_DEFINES = -DSYSV -DMALLOC_0_RETURNS_NULL
 EXTRA_LOAD_FLAGS =
  EXTRA_LIBRARIES = -lsun -lmalloc -lc_s
             TAGS = ctags

    SHAREDCODEDEF = -DSHAREDCODE
         SHLIBDEF = -DATTSHAREDLIB

    PROTO_DEFINES = -DFUNCPROTO -DNARROWPROTO

     INSTPGMFLAGS = -s

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4755
     INSTLIBFLAGS = -m 0664
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 2755 -g sys

          DESTDIR =

     TOP_INCLUDES = -I$(INCROOT)

      CDEBUGFLAGS = $(OPTIMIZER)
        CCOPTIONS = -prototypes -cckr -float
      COMPATFLAGS =

      ALLINCLUDES = $(STD_INCLUDES) $(TOP_INCLUDES) $(INCLUDES) $(EXTRA_INCLUDES) $(VENDOR_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(PROTO_DEFINES) $(DEFINES) $(COMPATFLAGS)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES)
           LDLIBS = $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)
   LDCOMBINEFLAGS = -r

        MACROFILE = sgi.cf
           RM_CMD = $(RM) *.CKP *.ln *.BAK *.bak *.o core errs ,* *~ *.a .emacs_* tags TAGS make.log MakeOut

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Imake.rules \
			$(IRULESRC)/Project.tmpl $(IRULESRC)/site.def \
			$(IRULESRC)/$(MACROFILE) $(EXTRA_ICONFIGFILES)

###########################################################################
# X Window System Build Parameters
# $XConsortium: Project.tmpl,v 1.68 90/07/03 12:14:47 rws Exp $

###########################################################################
# X Window System make variables; this need to be coordinated with rules
# $XConsortium: Project.tmpl,v 1.68 90/07/03 12:14:47 rws Exp $

          PATHSEP = /
        USRLIBDIR = $(DESTDIR)/usr/lib
           BINDIR = $(DESTDIR)/usr/bin/X11
          INCROOT = $(DESTDIR)/usr/include
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = $(DESTDIR)/usr/adm
           LIBDIR = $(USRLIBDIR)/X11
        CONFIGDIR = $(LIBDIR)/config
       LINTLIBDIR = $(USRLIBDIR)/lint

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           AWMDIR = $(LIBDIR)/awm
           TWMDIR = $(LIBDIR)/twm
           GWMDIR = $(LIBDIR)/gwm
          MANPATH = $(DESTDIR)/usr/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)n
        LIBMANDIR = $(MANSOURCEPATH)3
      XAPPLOADDIR = $(LIBDIR)/app-defaults

       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

            IMAKE = imake
           DEPEND = makedepend
              RGB = rgb

            FONTC = bdftopcf

        MKFONTDIR = mkfontdir

        MKDIRHIER = mkdir -p

        CONFIGSRC = $(TOP)/config
        CLIENTSRC = $(TOP)/clients
          DEMOSRC = $(TOP)/demos
           LIBSRC = $(TOP)/lib

          FONTSRC = $(TOP)/fonts.pcf

       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/server
          UTILSRC = $(TOP)/util
        SCRIPTSRC = $(UTILSRC)/scripts
       EXAMPLESRC = $(TOP)/examples
       CONTRIBSRC = $(TOP)/../contrib
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/rgb
        DEPENDSRC = $(UTILSRC)/makedepend
         IMAKESRC = $(CONFIGSRC)
         XAUTHSRC = $(LIBSRC)/Xau
          XLIBSRC = $(LIBSRC)/X
           XMUSRC = $(LIBSRC)/Xmu
       TOOLKITSRC = $(LIBSRC)/Xt
       AWIDGETSRC = $(LIBSRC)/Xaw
       OLDXLIBSRC = $(LIBSRC)/oldX
      XDMCPLIBSRC = $(LIBSRC)/Xdmcp
         XILIBSRC = $(EXTENSIONSRC)/lib/xinput
      BDFTOSNFSRC = $(FONTSRC)/tools/bdftosnf
      BDFTOPCFSRC = $(FONTSRC)/tools/bdftopcf
     MKFONTDIRSRC = $(FONTSRC)/tools/mkfontdir
     EXTENSIONSRC = $(TOP)/extensions

  DEPEXTENSIONLIB =  $(USRLIBDIR)/libXext.a
     EXTENSIONLIB =   -lXext

          DEPXLIB = $(DEPEXTENSIONLIB)  $(USRLIBDIR)/libX11_s.a
             XLIB = $(EXTENSIONLIB)  -lX11_s

      DEPXAUTHLIB =  $(USRLIBDIR)/libXau.a
         XAUTHLIB =   -lXau

        DEPXMULIB =  $(USRLIBDIR)/libXmu.a
           XMULIB =   -lXmu

       DEPOLDXLIB =  $(USRLIBDIR)/liboldX.a
          OLDXLIB =   -loldX

      DEPXTOOLLIB =  $(USRLIBDIR)/libXt_s.a
         XTOOLLIB =  -lXt_s

        DEPXAWLIB =  $(USRLIBDIR)/libXaw.a
           XAWLIB =   -lXaw

         DEPXILIB =  $(USRLIBDIR)/libXi.a
            XILIB =   -lXi

 LINTEXTENSIONLIB =  $(LINTLIBDIR)/llib-lXext.ln
         LINTXLIB =  $(LINTLIBDIR)/llib-lX11.ln
          LINTXMU =  $(LINTLIBDIR)/llib-lXmu.ln
        LINTXTOOL =  $(LINTLIBDIR)/llib-lXt.ln
          LINTXAW =  $(LINTLIBDIR)/llib-lXaw.ln

          DEPLIBS = $(DEPXAWLIB) $(DEPXMULIB) $(DEPXTOOLLIB) $(DEPXLIB)

         DEPLIBS1 = $(DEPLIBS)
         DEPLIBS2 = $(DEPLIBS)
         DEPLIBS3 = $(DEPLIBS)

###########################################################################
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules,v 1.70 90/05/04 16:57:30 keith Exp $

###########################################################################
# start of Imakefile

#
# Imakefile for xtetris in .
#
# Made by MaxTheDogSays (dubray_f@epita.fr && rancur_v@epita.fr
# Login   <vr@epita.fr>
#
# Started on  Sat Jun 25 15:43:45 1994 vr
# Last update Tue Apr  4 02:11:36 1995 mtds
#

           SRCS = xtv.c Grab.c

           OBJS = xtv.o Grab.o

    CDEBUGFLAGS = -g
        DEPLIBS =

        DEFINES =
LOCAL_LIBRARIES = -lXaw -lXext -lXmu -lXt -lX11

        PROGRAM = xtv

all:: xtv

xtv: $(OBJS) $(DEPLIBS)
	 $(RM) $@ ; \
	$(CC) -o $@ $(OBJS) $(LDOPTIONS) $(LOCAL_LIBRARIES) $(LDLIBS) $(EXTRA_LOAD_FLAGS)

install:: xtv
	$(INSTALL) -c $(INSTPGMFLAGS) $(INSTALLFLAGS) xtv $(BINDIR)

install.man:: xtv.man
	$(INSTALL) -c $(INSTMANFLAGS) xtv.man $(MANDIR)/xtv.n

depend::
	$(DEPEND) -s "# DO NOT DELETE" -- $(ALLDEFINES) -- $(SRCS)

lint:
	$(LINT) $(LINTFLAGS) $(SRCS) $(LINTLIBS)
lint1:
	$(LINT) $(LINTFLAGS) $(FILE) $(LINTLIBS)

clean::
	$(RM) $(PROGRAM)

install:: XTv.ad
	$(INSTALL) -c $(INSTAPPFLAGS) XTv.ad $(XAPPLOADDIR)/XTv

###########################################################################
# common rules for all Makefiles - do not edit

emptyrule::

clean::
	$(RM_CMD) \#*

Makefile::
	-@if [ -f Makefile ]; then \
		echo "	$(RM) Makefile.bak; $(MV) Makefile Makefile.bak"; \
		$(RM) Makefile.bak; $(MV) Makefile Makefile.bak; \
	else : ; fi ; \
	$(IMAKE_CMD) -DTOPDIR=$(TOP) -DCURDIR=$(CURRENT_DIR)

tags::
	$(TAGS) -w *.[ch]
	$(TAGS) -xw *.[ch] > TAGS

###########################################################################
# empty rules for directories that do not have SUBDIRS - do not edit

install::
	@echo "install in $(CURRENT_DIR) done"

install.man::
	@echo "install.man in $(CURRENT_DIR) done"

Makefiles::

includes::

###########################################################################
# dependencies generated by makedepend

=== debian/changelog ===
xtv (1.1-16) unstable; urgency=medium

  * packaging updates
  * pass -std=gnu17 so compile on GCC 15 (closes: #1098174)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 26 Sep 2025 11:36:22 +0100

xtv (1.1-15) unstable; urgency=medium

  * packaging updates, just version bumping and repo swizzling

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 28 Mar 2018 10:09:25 +0100

xtv (1.1-14) unstable; urgency=low

  * debian/copyright GPL (closes: #718683)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 26 Aug 2013 20:58:34 +0100

xtv (1.1-13) unstable; urgency=low

  * bump standards version (debian/control)
  * dh --parallel
  * dh 9

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 16 Jan 2013 12:34:15 +0000

xtv (1.1-12) unstable; urgency=low

  * bump debian standards
  * Switch to dpkg-source 3.0 (quilt) format

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 25 Mar 2010 18:56:42 +0000

xtv (1.1-11) unstable; urgency=low

  * rev deb policy
  * shrink/modernize debian/rules
  * update man page section, from xtv(1x) to xtv(1)
  * standard debian/README.Debian format and name
  * stop dynamic linking unnecessary libraries
  * add git repo location to debian/control

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 02 Nov 2009 21:38:36 -0500

xtv (1.1-10) unstable; urgency=low

  * rev deb policy, dh, dependencies, copyright

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 19 Aug 2008 12:31:37 +0100

xtv (1.1-9) unstable; urgency=low

  * rev deb policy, stop ignoring cleaning errors

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 23 Dec 2007 18:31:00 +0100

xtv (1.1-8) unstable; urgency=low

  * policy updates, broken (apart) xlibs

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 29 Dec 2005 01:37:46 +0000

xtv (1.1-7) unstable; urgency=low

  * add README
  * policy updates

 -- Barak A. Pearlmutter <bap@debian.org>  Tue,  2 Nov 2004 20:47:19 +0000

xtv (1.1-6) unstable; urgency=low

  * Updates for new X library names and debian packaging changes (closes: #170210)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 20 Feb 2003 21:06:47 -0700

xtv (1.1-5) unstable; urgency=low

  * Updates for new X: build dependencies, subvert xmkmf's new all::man

 -- Barak Pearlmutter <bap@cs.unm.edu>  Sun,  7 Oct 2001 14:49:03 -0600

xtv (1.1-4) unstable; urgency=low

  * New Debian maintainer.
  * Add build dependencies.
  * Update installation directories to FHS.
  * Remove Makefile from sources as it is derived.
  * Tickle things to use gcc -Wall.

 -- Barak Pearlmutter <bap@cs.unm.edu>  Sun,  7 Oct 2001 13:31:31 -0600

xtv (1.1-3) unstable; urgency=low

  * Converted to use of debhelper, which properly compressed the Debian
    changelog.
  * Minor changes to text of the man page and README.

 -- Jay Kominek <jkominek@debian.org>  Mon,  9 Mar 1998 16:03:03 -0500

xtv (1.1-2) unstable; urgency=low

  * Compiled for Libc6

 -- Jay Kominek <jkominek@xtn.net>  Fri,  7 Nov 1997 23:51:34 -0500

xtv (1.1-1) unstable; urgency=low

  * Initial Release.

 -- Jay Kominek <jkominek@xtn.net>  Tue, 16 Sep 1997 17:14:36 -0400

=== debian/control ===
Source: xtv
Section: x11
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), xutils-dev, libxt-dev, libxaw7-dev
Vcs-Git: https://salsa.debian.org/debian/xtv.git
Vcs-Browser: https://salsa.debian.org/debian/xtv

Package: xtv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: View the screen of a remote X11 display
 View a remote X11 display in a window on your own display, in a
 continuously updating fashion.  Just like watching the remote
 display on television!

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_before_dh_auto_configure:
	xmkmf

override_dh_auto_build:
	dh_auto_build -- EXTRA_LIBRARIES="$(shell dpkg-buildflags --get LDFLAGS)" CFLAGS+=-std=gnu17 xtv
